%define  komparediff2_major 4
%define  libkomparediff2 %mklibname komparediff2_ %komparediff2_major
%define  komparedialogpages_major 4
%define  libkomparedialogpages %mklibname komparedialogpages %komparedialogpages_major
%define  kompareinterface_major 4
%define  libkompareinterface %mklibname kompareinterface %kompareinterface_major
%define realname kompare

Name: kde-sdk-kompare
Summary: A diff graphic tool
Version: 14.12.3
Group: Graphical desktop/KDE4
Release: %mkrel 3
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{realname}-%{version}.tar.xz
BuildRequires: kdelibs-devel
BuildRequires:  libkomparediff2-devel
Provides:	kompare
Obsoletes: 	kde-sdk-help
Obsoletes:	kde-sdk-kmtrace
Obsoletes:	kde-sdk-kuiviewer 
Obsoletes:	kde-sdk-scripts 
Obsoletes:	kde-sdk-strigi-analyzer 
Obsoletes:	kde-sdk-devel

%description
Kompare is a GUI front-end program that enables differences between source files
to be viewed and merged. It can be used to compare differences on files or the
contents of folders, and it supports a variety of diff formats and provide many
options to customize the information level displayed.

Features :
   -Comparing directories
   -Reading diff files
   -Creating and applying patches

%files 
%_kde_bindir/kompare
%_kde_libdir/kde4/komparenavtreepart.so
%_kde_libdir/kde4/komparepart.so
%_kde_datadir/applications/kde4/kompare.desktop
%_kde_appsdir/kompare
%_kde_iconsdir/hicolor/*/apps/kompare.png
%_kde_iconsdir/hicolor/scalable/apps/kompare.svgz
%_kde_services/komparenavtreepart.desktop
%_kde_services/komparepart.desktop
%_kde_servicetypes/komparenavigationpart.desktop
%_kde_servicetypes/kompareviewpart.desktop
%_kde_docdir/*/*/kompare
%_kde_libdir/libkomparedialogpages.so.%{komparedialogpages_major}*
%_kde_libdir/libkompareinterface.so.%{kompareinterface_major}*

#------------------------------------------------------------------------------


%prep
%setup -q -n %{realname}-%{version}

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-Tools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kompare.desktop

#remove uneeded files
rm -fr %buildroot%_kde_includedir
rm -f %buildroot%_kde_libdir/libkompareinterface.so
rm -f %buildroot%_kde_libdir/libkomparediff2.so
rm -f %buildroot%_kde_libdir/libkomparedialogpages.so


%changelog
* Tue Jul 21 2015 pp <pp> 14.12.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

